<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/widgets/UserPreferencesWidget/UserPreferencesWidget.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_user_preferences_widget_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UserPreferencesWidget.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_USERPREFERENCESWIDGET_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_USERPREFERENCESWIDGET_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QWidget&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QGridLayout&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QGroupBox&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QPushButton&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QToolBox&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QLabel&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QLineEdit&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QListWidget&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QTableWidget&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;../../dialogs/UserEditorDialog/UserEditorDialog.h&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;../../../models/People/User/User.h&quot;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="class_user_preferences_widget.html">   38</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_user_preferences_widget.html">UserPreferencesWidget</a> : <span class="keyword">public</span> QWidget {</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;Q_OBJECT</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <a class="code" href="class_user_preferences_widget.html#a51d34167fca9fd32332160c109179ed9">UserPreferencesWidget</a>(QWidget *parent = 0);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_preferences_widget.html#a6ffbebef5bedf908c95a448d6430d7fb">getUserRequestResult</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> isAdmin);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_preferences_widget.html#a71734ad30671811645c2932717bd476c">openUserEditorDialog</a>();</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_preferences_widget.html#a9803e6f3072828c2a7a153f4cffccaa5">importWishlistFromFile</a>();</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_preferences_widget.html#ac01711f58e530c153589d9c3c14cc438">exportWishlistFromFile</a>();</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_preferences_widget.html#ac96babf908d60b8713b1b48c2a4a8f36">getImportWishlistFromFileRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_preferences_widget.html#a827e00f603a221714cff721cef48e06f">getExportWishlistFromFileRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;signals:</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="comment">// send requests</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_preferences_widget.html#a55fbe8d94f0526208f63ddb6be94025d">sendCurrentUserRequest</a>();</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_preferences_widget.html#a123a0724762a12e30c40ed4ec1223ce5">sendEditUserRequest</a>(<a class="code" href="class_user.html">User</a> user, <span class="keywordtype">bool</span> isAdmin, QString password);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_preferences_widget.html#a7456117d7fef744b57fe213fccd03d9f">sendImportWishlistFromFileRequest</a>(QString pathToFileToImport);</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_preferences_widget.html#ab86930fdcf5c019ae47150af6dc7cef4">sendExportWishlistFromFileRequest</a>(QString pathToFileToExport);</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="comment">// forward results</span></div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_user_preferences_widget.html#ad816b9242da802e2c280d8f9f71b09a6">sendEditUserRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <a class="code" href="class_user_editor_dialog.html">UserEditorDialog</a> *userEditorDialog;  <span class="comment">// dialog to edit user fields</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    QPushButton *importWishlistFromFileButton;  <span class="comment">// buttons to import/export user wishlist</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    QPushButton *exportWishlistFromFileButton;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    QPushButton *openUserEditorDialogButton;  <span class="comment">// button to open user editor</span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <span class="keywordtype">void</span> setup();</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keywordtype">void</span> connectSignalsSlots();</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    QString chooseFileDialog(QString title);</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;};</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_USERPREFERENCESWIDGET_H</span></div><div class="ttc" id="class_user_editor_dialog_html"><div class="ttname"><a href="class_user_editor_dialog.html">UserEditorDialog</a></div><div class="ttdef"><b>Definition:</b> UserEditorDialog.h:24</div></div>
<div class="ttc" id="class_user_preferences_widget_html"><div class="ttname"><a href="class_user_preferences_widget.html">UserPreferencesWidget</a></div><div class="ttdef"><b>Definition:</b> UserPreferencesWidget.h:38</div></div>
<div class="ttc" id="class_user_preferences_widget_html_a7456117d7fef744b57fe213fccd03d9f"><div class="ttname"><a href="class_user_preferences_widget.html#a7456117d7fef744b57fe213fccd03d9f">UserPreferencesWidget::sendImportWishlistFromFileRequest</a></div><div class="ttdeci">void sendImportWishlistFromFileRequest(QString pathToFileToImport)</div></div>
<div class="ttc" id="class_user_preferences_widget_html_ab86930fdcf5c019ae47150af6dc7cef4"><div class="ttname"><a href="class_user_preferences_widget.html#ab86930fdcf5c019ae47150af6dc7cef4">UserPreferencesWidget::sendExportWishlistFromFileRequest</a></div><div class="ttdeci">void sendExportWishlistFromFileRequest(QString pathToFileToExport)</div></div>
<div class="ttc" id="class_user_html"><div class="ttname"><a href="class_user.html">User</a></div><div class="ttdef"><b>Definition:</b> User.h:31</div></div>
<div class="ttc" id="class_user_preferences_widget_html_a827e00f603a221714cff721cef48e06f"><div class="ttname"><a href="class_user_preferences_widget.html#a827e00f603a221714cff721cef48e06f">UserPreferencesWidget::getExportWishlistFromFileRequestResult</a></div><div class="ttdeci">void getExportWishlistFromFileRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> UserPreferencesWidget.cpp:77</div></div>
<div class="ttc" id="class_user_preferences_widget_html_ac96babf908d60b8713b1b48c2a4a8f36"><div class="ttname"><a href="class_user_preferences_widget.html#ac96babf908d60b8713b1b48c2a4a8f36">UserPreferencesWidget::getImportWishlistFromFileRequestResult</a></div><div class="ttdeci">void getImportWishlistFromFileRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> UserPreferencesWidget.cpp:65</div></div>
<div class="ttc" id="class_user_preferences_widget_html_ad816b9242da802e2c280d8f9f71b09a6"><div class="ttname"><a href="class_user_preferences_widget.html#ad816b9242da802e2c280d8f9f71b09a6">UserPreferencesWidget::sendEditUserRequestResult</a></div><div class="ttdeci">void sendEditUserRequestResult(bool ok)</div></div>
<div class="ttc" id="class_user_preferences_widget_html_a9803e6f3072828c2a7a153f4cffccaa5"><div class="ttname"><a href="class_user_preferences_widget.html#a9803e6f3072828c2a7a153f4cffccaa5">UserPreferencesWidget::importWishlistFromFile</a></div><div class="ttdeci">void importWishlistFromFile()</div><div class="ttdef"><b>Definition:</b> UserPreferencesWidget.cpp:93</div></div>
<div class="ttc" id="class_user_preferences_widget_html_a55fbe8d94f0526208f63ddb6be94025d"><div class="ttname"><a href="class_user_preferences_widget.html#a55fbe8d94f0526208f63ddb6be94025d">UserPreferencesWidget::sendCurrentUserRequest</a></div><div class="ttdeci">void sendCurrentUserRequest()</div></div>
<div class="ttc" id="class_user_preferences_widget_html_a51d34167fca9fd32332160c109179ed9"><div class="ttname"><a href="class_user_preferences_widget.html#a51d34167fca9fd32332160c109179ed9">UserPreferencesWidget::UserPreferencesWidget</a></div><div class="ttdeci">UserPreferencesWidget(QWidget *parent=0)</div><div class="ttdef"><b>Definition:</b> UserPreferencesWidget.cpp:24</div></div>
<div class="ttc" id="class_user_preferences_widget_html_ac01711f58e530c153589d9c3c14cc438"><div class="ttname"><a href="class_user_preferences_widget.html#ac01711f58e530c153589d9c3c14cc438">UserPreferencesWidget::exportWishlistFromFile</a></div><div class="ttdeci">void exportWishlistFromFile()</div><div class="ttdef"><b>Definition:</b> UserPreferencesWidget.cpp:98</div></div>
<div class="ttc" id="class_user_preferences_widget_html_a71734ad30671811645c2932717bd476c"><div class="ttname"><a href="class_user_preferences_widget.html#a71734ad30671811645c2932717bd476c">UserPreferencesWidget::openUserEditorDialog</a></div><div class="ttdeci">void openUserEditorDialog()</div><div class="ttdef"><b>Definition:</b> UserPreferencesWidget.cpp:60</div></div>
<div class="ttc" id="class_user_preferences_widget_html_a6ffbebef5bedf908c95a448d6430d7fb"><div class="ttname"><a href="class_user_preferences_widget.html#a6ffbebef5bedf908c95a448d6430d7fb">UserPreferencesWidget::getUserRequestResult</a></div><div class="ttdeci">void getUserRequestResult(User user, bool isAdmin)</div><div class="ttdef"><b>Definition:</b> UserPreferencesWidget.cpp:56</div></div>
<div class="ttc" id="class_user_preferences_widget_html_a123a0724762a12e30c40ed4ec1223ce5"><div class="ttname"><a href="class_user_preferences_widget.html#a123a0724762a12e30c40ed4ec1223ce5">UserPreferencesWidget::sendEditUserRequest</a></div><div class="ttdeci">void sendEditUserRequest(User user, bool isAdmin, QString password)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_3c1d2ce32bc4ecd50a176ae39486df30.html">widgets</a></li><li class="navelem"><a class="el" href="dir_89bdcc432f6ee6a8cebbfc65be96be28.html">UserPreferencesWidget</a></li><li class="navelem"><b>UserPreferencesWidget.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
